Index: src/Parser/ExpressionNode.cc
===================================================================
--- src/Parser/ExpressionNode.cc	(revision 702e82665c2808485befeaea380f73e06086c920)
+++ src/Parser/ExpressionNode.cc	(revision 9fa61f5fe9cd5b45ced7ab9dc9563f9165eed080)
@@ -9,7 +9,7 @@
 // Author           : Peter A. Buhr
 // Created On       : Sat May 16 13:17:07 2015
-// Last Modified By : Andrew Beach
-// Last Modified On : Thr Mar  0 10:46:00 2023
-// Update Count     : 1080
+// Last Modified By : Peter A. Buhr
+// Last Modified On : Tue Mar 14 09:10:22 2023
+// Update Count     : 1081
 //
 
@@ -122,5 +122,5 @@
 		if ( str[i] == '1' ) v |= 1;
 		i += 1;
-		if ( i == last - 1 || (str[i] != '0' && str[i] != '1') ) break;
+	  if ( i == last - 1 || (str[i] != '0' && str[i] != '1') ) break;
 		v <<= 1;
 	} // for
@@ -162,29 +162,31 @@
 	if ( isdigit( str[str.length() - 1] ) ) {			// no suffix ?
 		lnthSuffix( str, type, ltype );					// could have length suffix
-	// At least one digit in integer constant,
-	// so safe to backup while looking for suffix.
-	// pointer value
-	} else if ( auto posn = str.find_last_of( "pP" ) ; posn != string::npos ) {
-		ltype = 5; str.erase( posn, 1 );
-	// size_t
-	} else if ( auto posn = str.find_last_of( "zZ" ) ; posn != string::npos ) {
-		Unsigned = true; type = 2; ltype = 4; str.erase( posn, 1 );
-	// signed char
-	} else if ( auto posn = str.rfind( "hh" ) ; posn != string::npos ) {
-		type = 1; str.erase( posn, 2 );
-	// signed char
-	} else if ( auto posn = str.rfind( "HH" ) ; posn != string::npos ) {
-		type = 1; str.erase( posn, 2 );
-	// short
-	} else if ( auto posn = str.find_last_of( "hH" ) ; posn != string::npos ) {
-		type = 0; str.erase( posn, 1 );
-	// int (natural number)
-	} else if ( auto posn = str.find_last_of( "nN" ) ; posn != string::npos ) {
-		type = 2; str.erase( posn, 1 );
-	} else if ( str.rfind( "ll" ) != string::npos || str.rfind( "LL" ) != string::npos ) {
-		type = 4;
 	} else {
-		lnthSuffix( str, type, ltype );
-	}
+		// At least one digit in integer constant, so safe to backup while looking for suffix.
+		string::size_type posn;
+		// pointer value
+		if ( posn = str.find_last_of( "pP" ); posn != string::npos ) {
+			ltype = 5; str.erase( posn, 1 );
+			// size_t
+		} else if ( posn = str.find_last_of( "zZ" ); posn != string::npos ) {
+			Unsigned = true; type = 2; ltype = 4; str.erase( posn, 1 );
+			// signed char
+		} else if ( posn = str.rfind( "hh" ); posn != string::npos ) {
+			type = 1; str.erase( posn, 2 );
+			// signed char
+		} else if ( posn = str.rfind( "HH" ); posn != string::npos ) {
+			type = 1; str.erase( posn, 2 );
+			// short
+		} else if ( posn = str.find_last_of( "hH" ); posn != string::npos ) {
+			type = 0; str.erase( posn, 1 );
+			// int (natural number)
+		} else if ( posn = str.find_last_of( "nN" ); posn != string::npos ) {
+			type = 2; str.erase( posn, 1 );
+		} else if ( str.rfind( "ll" ) != string::npos || str.rfind( "LL" ) != string::npos ) {
+			type = 4;
+		} else {
+			lnthSuffix( str, type, ltype );
+		} // if
+	} // if
 
 	// Cannot be just "0"/"1"; sscanf stops at the suffix, if any; value goes over the wall => always generate
@@ -208,5 +210,5 @@
 					sscanf( (char *)str2.c_str(), "%llx", &v2 );
 					str = str.substr( 0, len - 16 );
-				}
+				} // if
 				sscanf( (char *)str.c_str(), "%llx", &v );
 #endif // __SIZEOF_INT128__
@@ -434,17 +436,17 @@
 	Type * strtype;
 	switch ( str[0] ) {									// str has >= 2 characters, i.e, null string "" => safe to look at subscripts 0/1
-	case 'u':
+	  case 'u':
 		if ( str[1] == '8' ) goto Default;				// utf-8 characters => array of char
 		// lookup type of associated typedef
 		strtype = new TypeInstType( Type::Qualifiers( ), "char16_t", false );
 		break;
-	case 'U':
+	  case 'U':
 		strtype = new TypeInstType( Type::Qualifiers( ), "char32_t", false );
 		break;
-	case 'L':
+	  case 'L':
 		strtype = new TypeInstType( Type::Qualifiers( ), "wchar_t", false );
 		break;
-	Default:											// char default string type
-	default:
+	  Default:											// char default string type
+	  default:
 		strtype = new BasicType( Type::Qualifiers( ), BasicType::Char );
 	} // switch
@@ -649,5 +651,3 @@
 // Local Variables: //
 // tab-width: 4 //
-// mode: c++ //
-// compile-command: "make install" //
 // End: //
